import time
from selenium.webdriver.common.by import By
from Base.BasePage import BasePage


# AI编辑工作室首页
class AIER(BasePage):
    def __init__(self):
        super().__init__('web')
        # AI编辑室
        self.AI_editing_room = (By.XPATH, "//li[contains(text(),'AI')]")

    # 点击AI编辑室
    def to_ai_room(self):
        time.sleep(1)
        self.find_ele(self.AI_editing_room).click()
        time.sleep(3)
        self.windows_change(-1)
        time.sleep(1)
